Bug 1205623 (CVE-2015-1808) - CVE-2015-1808 jenkins: update center metadata retrieval DoS attack (SECURITY-163)
Summary: CVE-2015-1808 jenkins: update center metadata retrieval DoS attack (SECURITY-...
Status: NEW
Alias: CVE-2015-1808
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150227,repor...
Keywords: Reopened, Security
Depends On: 1205637 1205638 1248781
Blocks: 1205634
TreeView+ depends on / blocked
 
Reported: 2015-03-25 10:50 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:30 UTC (History)
10 users (show)

(edit)
A denial of service flaw was found in the way Jenkins handled certain update center data. An authenticated user could provide specially crafted update center data to Jenkins, causing plug-in and tool installation to not work properly.
Clone Of:
(edit)
Last Closed: 2015-09-30 16:43:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1844 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.7 security, bug fix and enhancement update 2015-09-30 20:35:28 UTC
Red Hat Product Errata RHSA-2016:0070 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.1.1 bug fix and enhancement update 2016-01-27 00:12:41 UTC

Description Vasyl Kaigorodov 2015-03-25 10:50:45 UTC
This vulnerability allows authenticated users to disrupt the operation of Jenkins by feeding malicious update center data into Jenkins, affecting plugin installation and tool installation.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-02-27

Comment 2 Vasyl Kaigorodov 2015-03-25 11:07:04 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1205637]

Comment 3 Fedora Update System 2015-04-18 09:44:04 UTC
jenkins-1.590-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-21 19:08:41 UTC
jenkins-1.606-1.fc22, jffi-1.2.7-5.fc22, jenkins-executable-war-1.29-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-09-30 16:37:07 UTC
This issue has been addressed in the following products:

  RHEL 6 Version of OpenShift Enterprise 2.2

Via RHSA-2015:1844 https://rhn.redhat.com/errata/RHSA-2015-1844.html

Comment 9 errata-xmlrpc 2016-01-26 19:15:44 UTC
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070


Note You need to log in before you can comment on or make changes to this bug.